Subject: Re: [PATCH 2/2] upload-pack: use stdio in send_ref callbacks

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Aug 2021 13:21:21 -0700

Junio C Hamano <[email-masked]> writes:

> IIUC, the most notable difference between this round and the
> previous one is that now we are no longer buffering more than one
> packet worth of data because we let the stdio to accumulate them.
> I was a bit surprised that we still want to have a strbuf inside
> this structure (which is there only because it wants to persist
> during the whole conversation with the other side).
>
> Ahh, sorry, scratch that.  I do remember the discussion/patch that
> it was hurting to make calls to strbuf-init/strbuf-release once per
> ref, and it is an easy way to have the structure here to reuse it.

But that means this majorly overlaps what Patrick is already doing
in his ps/ls-refs-strbuf-optim topic.  Perhaps these should be
rebased on top of that topic branch, I wonder?